Name:          python-packaging
Version:       19.2
Release:       1mamba
Summary:       Core utilities for Python packages
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.python.org/pypi/packaging
Source:        https://pypi.debian.net/packaging/packaging-%{version}.tar.gz
License:       BSD, Apache License 2.0
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: libpython-devel
Requires:      python >= %python_version
Requires:      python-pyparsing
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n packaging-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

#sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Sat Oct 05 2019 Automatic Build System <autodist@mambasoft.it> 19.2-1mamba
- automatic version update by autodist

* Sat Aug 10 2019 Automatic Build System <autodist@mambasoft.it> 19.1-1mamba
- automatic version update by autodist

* Thu May 16 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 19.0-2mamba
- rebuilt with py36 support

* Tue Jan 29 2019 Automatic Build System <autodist@mambasoft.it> 19.0-1mamba
- automatic version update by autodist

* Fri Oct 05 2018 Automatic Build System <autodist@mambasoft.it> 18.0-1mamba
- automatic version update by autodist

* Wed May 09 2018 Automatic Build System <autodist@mambasoft.it> 17.1-1mamba
- automatic version update by autodist

* Thu Apr 13 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 16.8-1mamba
- package created using the webbuild interface
